Name:           pure-glpk
Version:        0.4
Release:        4%{?dist}
Summary:        GLPK interface for the Pure programming language
License:        GPLv3
URL:            https://purelang.bitbucket.org
Source0:        https://bitbucket.org/purelang/pure-lang/downloads/%{name}-%{version}.tar.gz
BuildRequires:  glpk-devel
BuildRequires:  gmp-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  mpfr-devel
BuildRequires:  pure-devel
BuildRequires:  unixODBC-devel
BuildRequires:  zlib-devel
ExcludeArch:    %{arm}

%description
This module provides a feature complete GLPK interface for the Pure 
programming language, which lets you use all capabilities of the GNU Linear 
Programming Kit (GLPK) directly from Pure.

GLPK contains an efficient simplex LP solver, a simplex LP solver in exact 
arithmetics, an interior-point solver, a branch-and-cut solver for mixed 
integer programming and some specialized algorithms for net/grid problems. 
Using this interface you can build, modify and solve the problem, retrieve 
the solution, load and save the problem and solution data in standard formats 
and use any of advanced GLPK features.

The interface uses native Pure data types - lists and tuples - so that you
need not perform any data conversions to/from GLPK internal data structures.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}" %{?_smp_mflags}

%install
make install libdir=%{_libdir} DESTDIR=%{buildroot}

%files
%doc COPYING README examples
%{_libdir}/pure/glpk.pure
%{_libdir}/pure/glpk.so

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 27 2013 Christopher Meng <rpm@cicku.me> - 0.4-2
- Add ExcludeArch for ARM because of FTBFS.

* Fri Aug 30 2013 Christopher Meng <rpm@cicku.me> - 0.4-1
- Initial Package.
